/**
 * This class keeps track of each player that played the game
 */
public class HighScore implements Comparable<HighScore>{
    private int highscore;
    private String name;

    public HighScore(int hs, String name) {
        this.highscore = hs;
        this.name = name;
    }
    
    //gets the score of the player 
    
    public int getHighscore() {
        return this.highscore;
    }
    
    //gets the name of the player
    
    public String getName() {
        return this.name;
    }

    /* Overrides the compareTo method to make players with the highest score appear first */
    @Override
    public int compareTo(HighScore hs2) {
		return hs2.getHighscore() - this.highscore;
	} 
}